### Signal

# Ide Pipeline::started

#### Declaration

    void
    started (
      IdePipeline* self,
      IdePipelinePhase phase,
      gpointer user_data
    )

#### Description

This signal is emitted when the pipeline has started executing in response to `ide_pipeline_build_async()` being called.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`phase` | `IdePipelinePhase`
| The `IdePipelinePhase` for which we are advancing.